<template>
  <div>
    <h4 class="pl-4 mb-1 font-semibold text-gray-500 tracking-wide">{{title}}</h4>
    <Card class="mb-4 flex-shrink-0 flex-1 w-full text-gray-500 font-semibold">
      <template #content>
        <slot></slot>
      </template>
    </Card>
  </div>
</template>

<script>
export default {
  name: 'ContentCard',
  props: {
    title: {
      default: '',
    },
  },
};
</script>

<style scoped>
.el-card {
  @apply shadow-none !important;
  .el-card__body {
    @apply p-0;
  }

  :deep(a) {
    word-break: break-all;
  }
}
</style>
